{% extends "dnsvs/entry_page.html" %}
{% block entry_page_body %}
    <h2>Ihre Bereiche</h2>
    <div id="areas">
        <div class="net-filter-direct d-print-none">
            <form data-templateurl="{{ url_for('dnsvs.inspect_area', area='[area]', suffix='[suffix]') }}"
                  id="form-direct">
                <div class="input-group">
                    <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-filter"
                                                      aria-hidden="true"></i></span>
                    </div>
                    <input class="search form-control" id="filter-direct" placeholder="Filter & Direktwahl" autofocus="yes"/>
                    <div class="input-group-append">
                        <button title="Gehe direkt zu Bereich"
                                class="btn btn-outline-secondary" type="submit">
                            <i class="fa fa-arrow-right"></i>
                        </button>
                    </div>
                </div>
            </form>
        </div>
        <table class="table table-responsive table-striped">
            <tr>
                <th>{{ colnames['DBNetArea']['name'].short_title_abs }} <a class="sort d-print-none" data-order="" data-target="name"
                                                                           href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>{{ colnames['DBNetArea']['description'].short_title_abs }} <a class="sort d-print-none" data-order=""
                                                                                  data-target="description"
                                                                                  href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>{{ colnames['Net']['net'].short_title_abs }} <a class="sort d-print-none" data-order="" data-target="net"
                                                                    href="javascript:void(0)"><i class="fa fa-sort"></i></a>
                </th>
                <th>Ausnutzung <a class="sort d-print-none" data-order="" data-target="utilization" href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>{{ colnames['Facility']['name'].short_title_abs }} <a class="sort d-print-none" data-order="asc"
                                                                          data-target="facility"
                                                                          href="javascript:void(0)"><i
                        class="fa fa-sort-asc"></i></a></th>
                <th>VLAN <a class="sort d-print-none" data-order="" data-target="vlan" href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
            </tr>
            <tbody class="list">
            {% for a in areas %}
                <tr>
                    <th class="name" data-name="{{ a.print_name }}"><a
                            href="{{ url_for('dnsvs.inspect_area', area=a.name, suffix=a.suffix, _anchor='recs') }}">
                        {{ a.print_name }}</a></th>
                    <td class="description">{{ a.description }}</td>
                    <td class="net"><code>{{ a.net.net }}</code></td>
                    {% if a.print_name in counts %}
                        {% set util=(counts[a.print_name]/(a.net.net.num_addresses|float)*100) %}
                    {% else %}
                        {% set util=0 %}
                    {% endif %}
                    {% if a.net.net.version == 4 %}
                        {% set util=util|round(method='ceil')|int %}
                        <td data-utilization="{{ (util+1)*10000 }}" class="utilization">
                            <div class="progress d-print-none">
                                <div class="progress-bar {% if util < 50 %} bg-success {% elif util >=50 and util < 75 %} bg-warning {% else %} bg-danger {% endif %}"
                                     role="progressbar"
                                     aria-valuenow="{{ util }}"
                                     aria-valuemin="0"
                                     aria-valuemax="100">{{ util }}%
                                </div>

                            </div>
                            <span class="d-none d-print-inline">{{ util }}%</span>
                        </td>
                    {% else %}
                        {% if a.print_name in counts %}
                            <td data-utilization="{{ counts[a.print_name]*10 }}"
                                class="utilization">{{ counts[a.print_name] }} Adresse(n) genutzt
                            </td>
                        {% else %}
                            <td data-utilization="0" class="utilization"><i>keine</i> Adresse genutzt</td>
                        {% endif %}
                    {% endif %}
                    <td class="facility" title="{{ a.facility.name }}">{{ a.facility.short_name }}</td>
                    <td class="vlan" title="{{ a.vlan.ni_name }}">
                        {% if a.vlan.name %}{{ a.vlan.name }} (<a title="VLAN {{ a.vlan.id }} in der NETDOC" href="https://www-net{% if not omdl.OP_ENV_IS_PROD %}-devel{% endif %}.scc.kit.edu/~netadmin/netdoc/user/wrapper.cgi/{{ a.vlan.ni_name }}/{{ a.vlan.id }}/"
                                                   target="_blank">{{ a.vlan.id }}</a>){% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock entry_page_body %}
{% block post_script %}
    <script src="/static/js/netsuite.dnsvs.list-areas.js"></script>
{% endblock post_script %}